# UI 2D

- [UI en pantalla](https://docs.decentraland.org/creator/content-creator-es/scenes-sdk7/ui-2d/onscreen-ui.md): Aprende cómo crear una UI para jugadores en tu escena. Esto es útil, por ejemplo, para mostrar información relacionada con el juego.
- [Posicionamiento de UI](https://docs.decentraland.org/creator/content-creator-es/scenes-sdk7/ui-2d/ui-positioning.md): Define la posición, escala, padding y otras propiedades de las UI entities.
- [Fondo de UI](https://docs.decentraland.org/creator/content-creator-es/scenes-sdk7/ui-2d/ui_background.md): Define un fondo y un borde de una UI entity.
- [Eventos de Button en UI](https://docs.decentraland.org/creator/content-creator-es/scenes-sdk7/ui-2d/ui_button_events.md): Maneja eventos de Button en UI entities.
- [Tipos especiales de UI](https://docs.decentraland.org/creator/content-creator-es/scenes-sdk7/ui-2d/ui_special_types.md): Tipos especiales de Entity para la UI, incluidos dropdowns y cajas de entrada.
- [Texto de UI](https://docs.decentraland.org/creator/content-creator-es/scenes-sdk7/ui-2d/ui_text.md): Escribe texto en UI entities.
- [UI dinámica](https://docs.decentraland.org/creator/content-creator-es/scenes-sdk7/ui-2d/dynamic-ui.md): Aprende a hacer que las UIs sean dinámicas, respondiendo a cambios en los datos.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.decentraland.org/creator/content-creator-es/scenes-sdk7/ui-2d.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
